Subject: Re: Bug#939379: debconf: Specifying frontend in debconf.conf not effective

From: [email-masked]
Date: Wed, 4 Sep 2019 14:03:32 +0200 (CEST)

> On September 4, 2019 at 12:36 PM Colin Watson <[email-masked]> wrote:
> 
> 
> On Wed, Sep 04, 2019 at 11:36:42AM +0200, Konstantinos Dalamagkidis wrote:
> >    I wanted to configure the use of the noninteractive backend in
> >    debconf.conf on a system currently running oldstable. According to the
> >    documentation, setting:
> > 
> >    Frontend: noninteractive
> > 
> >    should have been sufficient, but this had no visible effect. Only when
> >    I also added "Frontend_forced: true" did my configuration take effect.
> 
> I believe that this only makes a difference for dpkg-reconfigure, which
> normally overrides noninteractive to dialog if the frontend was only set
> in the config file or the database, as opposed to the command line or
> the environment.
> 
> While I didn't write this code, I would be inclined to say that the
> basis for this is that the command line and the environment can normally
> be expected to be more "immediate" single-use kinds of configuration
> sources, while config files and databases are persistent configuration
> sources that it's more reasonable for dpkg-reconfigure to override
> temporarily.
> 
> I think the best fix for this would be to clarify the documentation to
> indicate that Frontend_forced must also be set if you really want to use
> noninteractive for everything including dpkg-reconfigure.  Would this be
> OK for you?

Hi Colin,

indeed the problem was with dpkg-reconfigure and yes a note in the 
documentation is more than sufficient.

Since you will be touching the documentation, you could also highlight
that those options need to be in the first stanza (see #738956). At
first glance, one might think that they belong to the database entries.

Thank you
Konstantinos